Bug 178781 - xargs fails during kickstart pre environment
xargs fails during kickstart pre environment
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lehman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-24 07:16 EST by spark
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0215
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:17:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spark 2006-01-24 07:16:11 EST
Description of problem:
During %pre environment of kickstart, xargs fails with error:

  xargs: /bin/echo: No such file or directory

Adding a symlink in of /bin/echo to /usr/bin/echo makes it work as expected.


Version-Release number of selected component (if applicable):
Tested on RHEL4 WS U2 and U3 beta. xargs version 4.1.20.


How reproducible:
Every time

Steps to Reproduce:
1. During install after specifying install source location, change to tty2 to
get a command prompt
2. Enter "ls | xargs"

Actual results:
xargs: /bin/echo: No such file or directory

Expected results:
Listing of current directory as arguments
Comment 1 Miloslav Trmač 2006-01-24 10:57:23 EST
Thanks for your report. The default command in xargs is indeed /bin/echo.

You can use "ls | xargs /usr/bin/echo" as a workaround.

Reassigning to anaconda - maybe the install environment should already contain
such a symlink.
Comment 5 Bob Johnson 2006-04-11 13:09:57 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 10 RHEL Product and Program Management 2006-08-18 12:46:03 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 12 Colin Coe 2006-09-25 23:52:56 EDT
This is also a problem in EL3u8...
Comment 21 Red Hat Bugzilla 2007-05-01 13:17:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0215.html

Note You need to log in before you can comment on or make changes to this bug.